package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Radio traffic 6g
 */
@ApiModel(description = "Radio traffic 6g")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class ApRadioTrafficEntity   {
  @JsonProperty("rxPkts")
  private Long rxPkts;

  @JsonProperty("txPkts")
  private Long txPkts;

  @JsonProperty("rx")
  private Long rx;

  @JsonProperty("tx")
  private Long tx;

  @JsonProperty("rxDropPkts")
  private Long rxDropPkts;

  @JsonProperty("txDropPkts")
  private Long txDropPkts;

  @JsonProperty("rxErrPkts")
  private Long rxErrPkts;

  @JsonProperty("txErrPkts")
  private Long txErrPkts;

  @JsonProperty("rxRetryPkts")
  private Long rxRetryPkts;

  @JsonProperty("txRetryPkts")
  private Long txRetryPkts;

  public ApRadioTrafficEntity rxPkts(Long rxPkts) {
    this.rxPkts = rxPkts;
    return this;
  }

  /**
   * Total RX packets
   * @return rxPkts
  */
  @ApiModelProperty(value = "Total RX packets")


  public Long getRxPkts() {
    return rxPkts;
  }

  public void setRxPkts(Long rxPkts) {
    this.rxPkts = rxPkts;
  }

  public ApRadioTrafficEntity txPkts(Long txPkts) {
    this.txPkts = txPkts;
    return this;
  }

  /**
   * Total TX packets
   * @return txPkts
  */
  @ApiModelProperty(value = "Total TX packets")


  public Long getTxPkts() {
    return txPkts;
  }

  public void setTxPkts(Long txPkts) {
    this.txPkts = txPkts;
  }

  public ApRadioTrafficEntity rx(Long rx) {
    this.rx = rx;
    return this;
  }

  /**
   * Total RX bytes
   * @return rx
  */
  @ApiModelProperty(value = "Total RX bytes")


  public Long getRx() {
    return rx;
  }

  public void setRx(Long rx) {
    this.rx = rx;
  }

  public ApRadioTrafficEntity tx(Long tx) {
    this.tx = tx;
    return this;
  }

  /**
   * Total TX bytes
   * @return tx
  */
  @ApiModelProperty(value = "Total TX bytes")


  public Long getTx() {
    return tx;
  }

  public void setTx(Long tx) {
    this.tx = tx;
  }

  public ApRadioTrafficEntity rxDropPkts(Long rxDropPkts) {
    this.rxDropPkts = rxDropPkts;
    return this;
  }

  /**
   * RX dropped packets
   * @return rxDropPkts
  */
  @ApiModelProperty(value = "RX dropped packets")


  public Long getRxDropPkts() {
    return rxDropPkts;
  }

  public void setRxDropPkts(Long rxDropPkts) {
    this.rxDropPkts = rxDropPkts;
  }

  public ApRadioTrafficEntity txDropPkts(Long txDropPkts) {
    this.txDropPkts = txDropPkts;
    return this;
  }

  /**
   * TX dropped Packets
   * @return txDropPkts
  */
  @ApiModelProperty(value = "TX dropped Packets")


  public Long getTxDropPkts() {
    return txDropPkts;
  }

  public void setTxDropPkts(Long txDropPkts) {
    this.txDropPkts = txDropPkts;
  }

  public ApRadioTrafficEntity rxErrPkts(Long rxErrPkts) {
    this.rxErrPkts = rxErrPkts;
    return this;
  }

  /**
   * RX error packets
   * @return rxErrPkts
  */
  @ApiModelProperty(value = "RX error packets")


  public Long getRxErrPkts() {
    return rxErrPkts;
  }

  public void setRxErrPkts(Long rxErrPkts) {
    this.rxErrPkts = rxErrPkts;
  }

  public ApRadioTrafficEntity txErrPkts(Long txErrPkts) {
    this.txErrPkts = txErrPkts;
    return this;
  }

  /**
   * TX error packets
   * @return txErrPkts
  */
  @ApiModelProperty(value = "TX error packets")


  public Long getTxErrPkts() {
    return txErrPkts;
  }

  public void setTxErrPkts(Long txErrPkts) {
    this.txErrPkts = txErrPkts;
  }

  public ApRadioTrafficEntity rxRetryPkts(Long rxRetryPkts) {
    this.rxRetryPkts = rxRetryPkts;
    return this;
  }

  /**
   * RX retried packets
   * @return rxRetryPkts
  */
  @ApiModelProperty(value = "RX retried packets")


  public Long getRxRetryPkts() {
    return rxRetryPkts;
  }

  public void setRxRetryPkts(Long rxRetryPkts) {
    this.rxRetryPkts = rxRetryPkts;
  }

  public ApRadioTrafficEntity txRetryPkts(Long txRetryPkts) {
    this.txRetryPkts = txRetryPkts;
    return this;
  }

  /**
   * TX retried packets
   * @return txRetryPkts
  */
  @ApiModelProperty(value = "TX retried packets")


  public Long getTxRetryPkts() {
    return txRetryPkts;
  }

  public void setTxRetryPkts(Long txRetryPkts) {
    this.txRetryPkts = txRetryPkts;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ApRadioTrafficEntity apRadioTrafficEntity = (ApRadioTrafficEntity) o;
    return Objects.equals(this.rxPkts, apRadioTrafficEntity.rxPkts) &&
        Objects.equals(this.txPkts, apRadioTrafficEntity.txPkts) &&
        Objects.equals(this.rx, apRadioTrafficEntity.rx) &&
        Objects.equals(this.tx, apRadioTrafficEntity.tx) &&
        Objects.equals(this.rxDropPkts, apRadioTrafficEntity.rxDropPkts) &&
        Objects.equals(this.txDropPkts, apRadioTrafficEntity.txDropPkts) &&
        Objects.equals(this.rxErrPkts, apRadioTrafficEntity.rxErrPkts) &&
        Objects.equals(this.txErrPkts, apRadioTrafficEntity.txErrPkts) &&
        Objects.equals(this.rxRetryPkts, apRadioTrafficEntity.rxRetryPkts) &&
        Objects.equals(this.txRetryPkts, apRadioTrafficEntity.txRetryPkts);
  }

  @Override
  public int hashCode() {
    return Objects.hash(rxPkts, txPkts, rx, tx, rxDropPkts, txDropPkts, rxErrPkts, txErrPkts, rxRetryPkts, txRetryPkts);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ApRadioTrafficEntity {\n");
    
    sb.append("    rxPkts: ").append(toIndentedString(rxPkts)).append("\n");
    sb.append("    txPkts: ").append(toIndentedString(txPkts)).append("\n");
    sb.append("    rx: ").append(toIndentedString(rx)).append("\n");
    sb.append("    tx: ").append(toIndentedString(tx)).append("\n");
    sb.append("    rxDropPkts: ").append(toIndentedString(rxDropPkts)).append("\n");
    sb.append("    txDropPkts: ").append(toIndentedString(txDropPkts)).append("\n");
    sb.append("    rxErrPkts: ").append(toIndentedString(rxErrPkts)).append("\n");
    sb.append("    txErrPkts: ").append(toIndentedString(txErrPkts)).append("\n");
    sb.append("    rxRetryPkts: ").append(toIndentedString(rxRetryPkts)).append("\n");
    sb.append("    txRetryPkts: ").append(toIndentedString(txRetryPkts)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

